#pragma once

#include "CoreMinimal.h"
#include "AISkill_FindInteractable.h"
#include "AITunableParameter.h"
#include "AISkill_FindInteractable_FuelGenerator.generated.h"

UCLASS(Blueprintable, EditInlineNew)
class UAISkill_FindInteractable_FuelGenerator : public UAISkill_FindInteractable
{
	GENERATED_BODY()

public:
	UPROPERTY(EditAnywhere, BlueprintReadWrite)
	FAITunableParameter MaxNearDistanceBonusWeight;

	UPROPERTY(EditAnywhere, BlueprintReadWrite)
	FAITunableParameter MaxNearDistanceBonusWeightRange;

	UPROPERTY(EditAnywhere, BlueprintReadWrite)
	FAITunableParameter RepairPercentBonusWeight;

	UPROPERTY(EditAnywhere, BlueprintReadWrite)
	FAITunableParameter EquippedItemBonusWeight;

	UPROPERTY(EditAnywhere, BlueprintReadWrite)
	FAITunableParameter MaxGeneratorRatioWeightPenalty;

	UPROPERTY(EditAnywhere, BlueprintReadWrite)
	FAITunableParameter SpecialGeneratorRemainPercent;

	UPROPERTY(EditAnywhere, BlueprintReadWrite)
	FName RemainingFuelGeneratorPercentBBKey;

	UPROPERTY(EditAnywhere, BlueprintReadWrite)
	FName IsInPressureZoneBBKey;

public:
	UAISkill_FindInteractable_FuelGenerator();
};

FORCEINLINE uint32 GetTypeHash(const UAISkill_FindInteractable_FuelGenerator) { return 0; }
